﻿using System;
using System.ComponentModel;
using System.Runtime.InteropServices;
using System.Windows.Forms;

namespace ForgottenLastError {
    public partial class MainForm : Form {
        public MainForm() {
            InitializeComponent();
        }


        private void btnDelete_Click(object sender, EventArgs e) {
            try {
                if (!(NativeMethods.DeleteFile("MissingFile.txt"))) {
                    throw new Win32Exception();
                }
            } catch (Win32Exception ex) {
                MessageBox.Show(this, ex.Message, "Error", MessageBoxButtons.OK, MessageBoxIcon.Error);
            }
        }


        private static class NativeMethods {

            [DllImport("kernel32.dll")]
            [return: MarshalAs(UnmanagedType.Bool)]
            public static extern Boolean DeleteFile([In()] [MarshalAs(UnmanagedType.LPWStr)] String lpFileName);
        }

    }
}
